﻿using System;
using System.Diagnostics;
using System.Windows.Forms;
using Microsoft.WindowsAPICodePack.Taskbar;

namespace WinFormTaskBarProgress
{
    public partial class Form1 : Form
    {
        private TaskbarManager windowsTaskbar = TaskbarManager.Instance;

        public Form1()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = 4;
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("http://www.scientia.com.ar");
        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            windowsTaskbar.SetProgressState(TaskbarProgressBarState.Normal, this.Handle);
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            if (comboBox1.SelectedIndex != 4)
                windowsTaskbar.SetProgressValue(trackBar1.Value, 100, this.Handle);
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (comboBox1.SelectedIndex)
            {
                case 0: //Normal
                    windowsTaskbar.SetProgressState(TaskbarProgressBarState.Normal, this.Handle);
                    break;
                case 1: //Pausado
                    windowsTaskbar.SetProgressState(TaskbarProgressBarState.Paused, this.Handle);
                    break;
                case 2: //Con error
                    windowsTaskbar.SetProgressState(TaskbarProgressBarState.Error, this.Handle);
                    break;
                case 3: //Indeterminado
                    windowsTaskbar.SetProgressState(TaskbarProgressBarState.Indeterminate, this.Handle);
                    return;
                case 4: //Sin progreso
                    windowsTaskbar.SetProgressState(TaskbarProgressBarState.NoProgress, this.Handle);
                    return;
            }

            windowsTaskbar.SetProgressValue(trackBar1.Value, 100, this.Handle);
        }
    }
}